import pytest
from servicemanager.frappyman import summarize_server_state

sea_info = {
    'ma10': 'ma10.config',
    'ma10stick': 'ma10.stick',
    'ma11': 'ma11.config',
    'ma11stick': 'ma11.stick',
    'roomt': 'rt.addon',
    'rt': 'rt.addon',
    'befilter': 'befilter.addon',
}

given = dict(main='ma10', stick='ma10stick')
cfgs = dict(given)
seacfg = ['ma10', 'ma10']

@pytest.mark.parametrize('given, current, seacfg, state, proposed', [

    ])
def test_proposed(given, current, seacfg, result):
    assert result == summarize_server_state(given, current, seacfg, sea_info)


def do():
    result = summarize_server_state(given, cfgs, seacfg, sea_info)
    print(result)
